com.h3c.of.lib.msg

## Class OfmMutableGetAsyncReply

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmGetAsyncReply
      - - com.h3c.of.lib.msg.OfmMutableGetAsyncReply

- All Implemented Interfaces:
    Message, MutableMessage, MutableObject, Structure

      public class OfmMutableGetAsyncReply
      extends OfmGetAsyncReply
      implements MutableMessage

  Mutable subclass of `OfmGetAsyncReply`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearXid()` Clears the transaction ID field of this message (sets it to 0).
    `OfmMutableGetAsyncReply` | `flowRemovedMask(Set<FlowRemovedReason> flags)` Sets the reasons why flow removed messages may be sent to the controller when it is in the master or equal role; since 1.3.
    `OfmMutableGetAsyncReply` | `flowRemovedMaskSlave(Set<FlowRemovedReason> flags)` Sets the reasons why flow removed messages may be sent to the controller when it is in the slave role; since 1.3.
    `Set<FlowRemovedReason>` | `getFlowRemovedMask()` Return the set of reasons why asynchronous flow removed messages are sent to the controller when it functions in the master or equals role; since 1.3.
    `Set<PacketInReason>` | `getPacketInMask()` Return the set of reasons why asynchronous packet in messages are sent to the controller when it functions in the master or equal role; since 1.3.
    `Set<PortReason>` | `getPortStatusMask()` Return the set of reasons why asynchronous port messages are sent to the controller when it functions in the master or equal role; since 1.3.
    `Set<FlowRemovedReason>` | `getSlaveFlowRemovedMask()` Return the set of reasons why asynchronous flow removed messages are sent to the controller when it functions in the slave role; since 1.3.
    `Set<PacketInReason>` | `getSlavePacketInMask()` Return the set of reasons why asynchronous packet in messages are sent to the controller when it functions in the slave role; since 1.3.
    `Set<PortReason>` | `getSlavePortStatusMask()` Return the set of reasons why asynchronous port messages are sent to the controller when it functions in the slave role; since 1.3.
    `OfmMutableGetAsyncReply` | `pktInMask(Set<PacketInReason> flags)` Sets the reasons why packet in messages may be sent to the controller when it is in the master or equal role; since 1.3.
    `OfmMutableGetAsyncReply` | `pktInMaskSlave(Set<PacketInReason> flags)` Sets the reasons why packet in messages may be sent to the controller when it is in the slave role; since 1.3.
    `OfmMutableGetAsyncReply` | `portStatusMask(Set<PortReason> flags)` Sets the reasons why port status messages may be sent to the controller when it is in the master or equal role; since 1.3.
    `OfmMutableGetAsyncReply` | `portStatusMaskSlave(Set<PortReason> flags)` Sets the reasons why port status messages may be sent to the controller when it is in the slave role; since 1.3.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `OpenflowMessage` | `toImmutable()` Returns an immutable instance of this message.
    `String` | `toString()`
    `boolean` | `writable()` Returns true if this mutable object is still writable.

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.msg.Message

      `getType, getXid`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Method Detail

    - #### clearXid

          public void clearXid()

      Description copied from interface: `MutableMessage`
      Clears the transaction ID field of this message (sets it to 0).
      Specified by:
        `clearXid` in interface `MutableMessage`

    - #### toImmutable

          public OpenflowMessage toImmutable()

      Description copied from interface: `MutableMessage`
      Returns an immutable instance of this message. In essence, converts this message to be read-only.

      It is expected that the reference to this mutable message will be dropped. Note that all method calls invoked on a `MutableMessage` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Specified by:
        `toImmutable` in interface `MutableMessage`
      Returns:
        an immutable instance of this message.

    - #### writable

          public boolean writable()

      Description copied from interface: `MutableObject`
      Returns true if this mutable object is still writable. That is, the `#toImmutable()` method (defined on a sub-interface) has not yet been invoked.
      Specified by:
        `writable` in interface `MutableObject`
      Returns:
        true if this mutable object is still writable

    - #### toString

          public String toString()

    - #### pktInMask

          public OfmMutableGetAsyncReply pktInMask(Set<PacketInReason> flags)

      Sets the reasons why packet in messages may be sent to the controller when it is in the master or equal role; since 1.3.
      Parameters:
        `flags` - the reasons for sending packet in messages
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if flags is null

    - #### pktInMaskSlave

          public OfmMutableGetAsyncReply pktInMaskSlave(Set<PacketInReason> flags)

      Sets the reasons why packet in messages may be sent to the controller when it is in the slave role; since 1.3.
      Parameters:
        `flags` - the reasons for sending packet in messages
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if flags is null

    - #### portStatusMask

          public OfmMutableGetAsyncReply portStatusMask(Set<PortReason> flags)

      Sets the reasons why port status messages may be sent to the controller when it is in the master or equal role; since 1.3.
      Parameters:
        `flags` - the reasons for sending port status messages
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if flags is null

    - #### portStatusMaskSlave

          public OfmMutableGetAsyncReply portStatusMaskSlave(Set<PortReason> flags)

      Sets the reasons why port status messages may be sent to the controller when it is in the slave role; since 1.3.
      Parameters:
        `flags` - the reasons for sending port status messages
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if flags is null

    - #### flowRemovedMask

          public OfmMutableGetAsyncReply flowRemovedMask(Set<FlowRemovedReason> flags)

      Sets the reasons why flow removed messages may be sent to the controller when it is in the master or equal role; since 1.3.
      Parameters:
        `flags` - the reasons for sending flow removed messages
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if flags is null

    - #### flowRemovedMaskSlave

          public OfmMutableGetAsyncReply flowRemovedMaskSlave(Set<FlowRemovedReason> flags)

      Sets the reasons why flow removed messages may be sent to the controller when it is in the slave role; since 1.3.
      Parameters:
        `flags` - the reasons for sending flow removed messages
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if flags is null

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowMessage`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowMessage.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowMessage`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### getPacketInMask

          public Set<PacketInReason> getPacketInMask()

      Return the set of reasons why asynchronous packet in messages are sent to the controller when it functions in the master or equal role; since 1.3.
      Returns:
        the set of reasons for packet in messages

    - #### getSlavePacketInMask

          public Set<PacketInReason> getSlavePacketInMask()

      Return the set of reasons why asynchronous packet in messages are sent to the controller when it functions in the slave role; since 1.3.
      Returns:
        the set of reasons for packet in messages

    - #### getPortStatusMask

          public Set<PortReason> getPortStatusMask()

      Return the set of reasons why asynchronous port messages are sent to the controller when it functions in the master or equal role; since 1.3.
      Returns:
        the set of reasons for port status messages

    - #### getSlavePortStatusMask

          public Set<PortReason> getSlavePortStatusMask()

      Return the set of reasons why asynchronous port messages are sent to the controller when it functions in the slave role; since 1.3.
      Returns:
        the set of reasons for port status messages

    - #### getFlowRemovedMask

          public Set<FlowRemovedReason> getFlowRemovedMask()

      Return the set of reasons why asynchronous flow removed messages are sent to the controller when it functions in the master or equals role; since 1.3.
      Returns:
        the set of reasons for flow removed messages

    - #### getSlaveFlowRemovedMask

          public Set<FlowRemovedReason> getSlaveFlowRemovedMask()

      Return the set of reasons why asynchronous flow removed messages are sent to the controller when it functions in the slave role; since 1.3.
      Returns:
        the set of reasons for flow removed messages

Copyright © 2014. All Rights Reserved.